Name:          cgns
Version:       4.4.0
Release:       1mamba
Summary:       A standard for recording and recovering computer data associated with the numerical solution of fluid dynamics equations
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://cgns.org/
Source:        https://github.com/CGNS/CGNS.git/v%{version}/CGNS-%{version}.tar.bz2
Patch0:        cgns-4.4.0-install-dirs.patch
License:       Zlib
## AUTOBUILDREQ-BEGIN
BuildRequires: gcc-fortran
BuildRequires: glibc-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXmu-devel
BuildRequires: libgcc
BuildRequires: libglu-devel
BuildRequires: libglvnd-devel
BuildRequires: libhdf5-devel
BuildRequires: libtcl-devel
BuildRequires: libtk-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The CFD General Notation System (CGNS) provides a standard for recording and recovering computer data associated with the numerical solution of fluid dynamics equations.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n CGNS-%{version}
%patch 0 -p1 -b .install-dirs

%build
%cmake \
    -DBIN_INSTALL_DIR=%{_bindir} \
    -DLIB_INSTALL_DIR=%{_libdir} \
    -DINCLUDE_INSTALL_DIR=%{_includedir} \
    -DCMAKE_SKIP_RPATH=ON \
    -DCGNS_ENABLE_TESTS=ON \
    -DCGNS_ENABLE_FORTRAN=ON \
    -DCGNS_BUILD_CGNSTOOLS=ON \
    -DCGNS_ENABLE_HDF5=ON

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/adf2hdf
%{_bindir}/cgconfig
%{_bindir}/cgnscalc
%{_bindir}/cgnscalc.desktop
%{_bindir}/cgnscheck
%{_bindir}/cgnscompress
%{_bindir}/cgnsconvert
%{_bindir}/cgnsdiff
%{_bindir}/cgnslist
%{_bindir}/cgnsnames
%{_bindir}/cgnsnodes
%{_bindir}/cgnsnodes.desktop
%{_bindir}/cgnsplot
%{_bindir}/cgnsplot.desktop
%dir %{_bindir}/cgnstools
%{_bindir}/cgnstools/*
%{_bindir}/cgnsupdate
%{_bindir}/cgnsview
%{_bindir}/cgnsview.desktop
%{_bindir}/hdf2adf
%{_bindir}/unitconv
%{_bindir}/unitconv.desktop
%dir %{_datadir}/cgnstools
%{_datadir}/cgnstools/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libcgns.so.*
%doc src/LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/cgns*
%dir %{_libdir}/cmake/cgns
%{_libdir}/cmake/cgns/cgns-targets*.cmake
%{_libdir}/libcgns.a
%{_libdir}/libcgns.so
%doc README.md


%changelog
* Mon May 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.0-1mamba
- package created using the webbuild interface
